# @author: Matt Owen
# @date:   6/8/2010
# @file:   print.zkeleton.R

# @z: zkeleton object
print.zkeleton <- function(z, ...) {
  # error-catching
  if (!inherits(z, "zkeleton"))
    stop("Error: Attempting to print non-zkeleton object")


  # print formatted data
  cat("Package Name = ")
  message(z$model)

  cat("Package Author = ")
  message(z$author)

  cat("Date Written = ")
  message(z$date)

  message()

  cat(" * documentation? ")
  message(ifelse(z$documentation, "YES", "NO"))

  cat(" * help files? ")
  message(ifelse(z$help, "YES", "NO"))

  cat(" * created interactively? ")
  message(ifelse(z$interactive, "YES", "NO"))

  cat(" * install path = \"")
  cat(z$path)
  message("\"")

  cat(" * file mode = ")
  message(z$mode)
}
