# @author: Matt Owen
# @date:   5/28/2010
# file:    setx.mprobit.R

# @object: mprobit object
# @...:    every other argument to forward to setx.default
# return:  class of type setx.mprobit,
#          so we can do our own sim
setx.mprobit <- function(obj, data, ...) {
  # send to default
  res <- setx.default(obj, ...)

  # attach new data, if it differs from the original
  newdata <- data

  # cast as appropriate data-type, then return
  class(res) <- "setx.mprobit"

  # attach data frame here, because
  # otherwise it'll give crazy errors
  # data.frame related, of course
  res$data <- data

  res
}
