# @author: Matt Owen
# @date:   6/1/2010
# @file:   sim.mprobit.R
# @info:   ...


# @obj:       zelig object, hold methods that are important
#             to the model we're using
# @x:         mostly holds new data block
# @x1:        mostly holds new data block, and
#             cues sim to compute first difference
# @num:       number of observations to compute
# @prev:      ???
# @cond.data: ???
sim.mprobit <- function(obj,
                            x=NULL,
                            x1=NULL,
                            num=c(1000, 100),
                            prev = NULL,
                            cond.data = NULL, ...
                            ) {
  # error-catching
  if (is.null(x))
    stop("Error: x cannot be NULL")

  # simulate qi's for x
  res <- qi(obj, x=x, x1=x1)

  # change call name
  obj$call[[1]] <- as.name("sim")


  # append
  res$call <- match.call(expand.dots=T)
  res$zelig.call <- obj$call
  res$par <- NA
  res$obj <- obj

  # is we want a first-difference
  class(res) <- "sim.mprobit"

  res
}

