# @author: Matt Owen
# @date:   6/7/20-X
# @file:   write.zkeleton.R


write.po <- function(from, to="", path=".", lang="en") {
  # open file
  to <- paste(paste(to, '/R-', lang, '.po', sep=""))
  writ <- file(to, open="w")


  # 
  for (fr in from) {
    # read from file
    fr.read <- paste(path, fr, sep="/")
    a <- try(read <- file(paste(path, fr, sep="/"), open="r"),
             silent=TRUE)

    if (inherits(a, "try-error"))
      next

    lines <- readLines(read, n=-1)

    # pull msgid out
    msgid <- gsub("('|\")", "", lines[[1]])
    msgid <- paste('msgid \"', msgid, "\"", sep="")

    
    #  format code section
    lines <- trim.zlean(lines[-1])
    lines <- gsub("\\\\", "\\\\\\\\", lines)
    lines <- gsub("\"", "\\\\\"", lines)

    # 
    lines <- paste("\"", lines, "\n\"", sep="")

    lines <- gsub(" +\n", "\n", lines)
    lines <- gsub("\n", "\\\\n", lines)
    lines <- c(head(lines, -1),
               gsub("(\\\\n|\t| )+\"$", "\"", tail(lines, 1))
               )


    lines <- paste(lines, collapse="\n", sep="")

    # output

    writeLines(c(msgid, "msgstr", lines, "", ""), writ)
    close(read)
  }


  # display message
  message(paste("po file saved in:", to))

  
  # close file-handle
  close(writ)
}
