# @author: Matthew owen
# @date:   5/27/2010
# @file:   zelig3mnp.R
#
# adds the class "mprobit" to the mnp object
# this is for clarity and to remove useless hooks

# @res:     object of type mnp
# @formula: formula passed to zelig.default
# return:  object of type (mprobit, mnp)
zelig3mprobit <- function (res, ...) {
  # if this condition passes, something is clearly going wrong
  if (!inherits(res, "mnp"))
    stop("Error: zelig3mprobit passed non-\"mnp\" typed object.")

  # set
  class(res) <- c("mprobit", "mnp")

  # give it a terms object
  if (is.null(res$terms))
    res$terms <- terms(res$call$formula)

  # return
  res
}
