# @author: Matt Owen
# @date:   6/2/2010
# @file:   zlean.R
# @about:  cleans the syntax of a file - this avoids
#          having localization files that need to be
#          formatted correctly
#          this is a rudinemtary beautifier.

# @text:  text to "beautify"
# return: beautified code
zlean <- function(text=NULL, split=F, pre="", post="") {
  # error-catching
  if (!is.character(text))
    stop("Error: text must be a character-type")

  text <- paste(text, "\n", sep="")

  # left brace, right brace
  str <- gsub(";", "\n", text)
  str <- ""

  indent <- lbrace <- rbrace <- 0
  indent.next <- 0


  hits <- unlist(c(0, gregexpr("\\\n", text)))

  # get one line at a time
  for (k in 1:(length(hits)-1)) {
    # get a line, and trim left white-space, replace ;'s
    line <- substr(text, hits[[k]]+1, hits[[k+1]])
    line <- gsub("^ +", "", line)


     # indent level
    # broken down into unoptimized sub-steps
    lbrace <- lbrace + nchar(line) - nchar(gsub("[^{([]", replacement="", line))
    rbrace <- rbrace + nchar(line) - nchar(gsub("[^})[]", replacement="", line))
    indent.next <- rbrace - lbrace

    # space x 2 x indent-level
    spaces <- rep("  ", length.out=min(indent.next, indent))


    s <- c(pre, spaces, line, post)
    str <- append(str, s)

    # update indent-level, since we
    # don't want the number of indents on
    # 
    indent <- indent.next   
  }

  if (!split)
    paste(str, collapse="")


  str
}

# @text
# @file
# UNFINISHED
# UNFINISHED
# UNFINISHED
# THIS WILL SHORTEN THE CODE IMMENSELY
getline.zkeleton <- function(text="", conn=NULL) {
  # valid date
  if (!(is.null(conn) || is.character(text)))
    stop("Error: wrong data-types")

  if (!is.null(conn)) {
    try(return(readLines(conn, n=1, ok=F)))
    return(F)
  }
  return("")
}


# stream-line the zlean'ing process
message.zlean <- function(text="", ...,
                          domain="R-zkeleton",
                          fn=function(x) x) {
  text <- gettextf(text, ...)
  #sprintf(zlean(text), "RAWR", ...)
  message(fn(text))
}

# frustrating munges
mezzage <- mezsage <- meszage <- message.zlean
mezzagef <- mezsagef <- meszagef <- message.zlean

sprintf.zlean <- function(fmt, ...) {

}

zprintf <- sprintf.zlean


number.args.zlean <- function(text="")
  length(unlist(gregexpr("[^\\]%s", text)))

trim.zlean <- function(text) {
  text <- gsub("^ +", "", text)
  text <- gsub(" +$", "", text)
  text
}
