\name{write.po}

\alias{write.po}

\title{
write.po.R
}

\description{
converts template files into message files.  This is mostly used to
localize messages that expand large amounts of source-code.
}

\usage{
zkeleton(path, from, to, lang, append, overwrite)
}

\arguments{
  \item{path}{
    a character-string specifying the path of the model to be
    constructed
  }
  \item{from}{
    a vector of character-strings specifying the files to encode as a po
    file
  }
  \item{to}{
    a character string specifying the name of the po file.  Should end
    in "/R-en.po"
  }
  \item{lang}{
    a 2-letter character string specifying the language code of the
    message to be encoded
  }
  \item{append}{
    a boolean value specifying whether the file should overwrite any
    existin po file
  }
}

\details{
  write.po is a tool for developers to create po files in a variety of
  languages from zelig-style template files
}

\value{
  nothing.
}

\author{
  Matthew Owen
}

\note{
  write.po is a fairly clumsy implementation to handle the arduous
  process of encoding R-like language into po files.  Without this,
  zkeleton-style message strings would be nearly impossible for
  non-technical users to implement.  That is, it removes the necessity
  for users to understand the subtleties of msgfmt, gettext, et cetera.
}

\seealso{
  package.skeleton, Zelig, zelig
}
\examples{
# none yet
}
\keyword{ po }
\keyword{ skeleton }
\keyword{ zelig }
\keyword{ wizard }
